<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <base data-ice="baseUrl" href="../../../../">
  <title data-ice="title">permanentStorageToolkitExtention | archive-system-front-end</title>
  <link type="text/css" rel="stylesheet" href="css/style.css">
  <link type="text/css" rel="stylesheet" href="css/prettify-tomorrow.css">
  <script src="script/prettify/prettify.js"></script>
  <script src="script/manual.js"></script>
</head>
<body class="layout-container" data-ice="rootContainer">

<header>
  <a href="./">Home</a>
  
  <a href="identifiers.html">Reference</a>
  <a href="source.html">Source</a>
  
  <div class="search-box">
  <span>
    <img src="./image/search.png">
    <span class="search-input-edge"></span><input class="search-input"><span class="search-input-edge"></span>
  </span>
    <ul class="search-result"></ul>
  </div>
<a href="https://gitlab.com/ArchiveSys/Web-Catalogue/archive-system-front-end.git">Repository</a></header>

<nav class="navigation" data-ice="nav"><div>
  <ul>
    
  <li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js">js</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/moodral.js~moodral.html">moodral</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-CONFIG">CONFIG</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-catalouge">js/catalouge</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Catalog_System.js~Catalog_System.html">Catalog_System</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Catalog_System_Base.js~Catalog_System_Base.html">Catalog_System_Base</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-catalouge-archive-connection">js/catalouge/Archive_Connection</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Archive_Connection/Archive_Connection.js~Archive_Connection.html">Archive_Connection</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-catalouge-catalog-entry">js/catalouge/Catalog_Entry</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry.js~Catalog_Entry.html">Catalog_Entry</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html">Catalog_Entry_Base</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-catalouge-catalog-entry-moodral">js/catalouge/Catalog_Entry_Moodral</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry_Moodral/Catalog_Entry_Moodral.js~Catalog_Entry_Moodral.html">Catalog_Entry_Moodral</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-catalouge-filter">js/catalouge/Filter</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Filter/Filter.js~Filter.html">Filter</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Filter/Filter_Base.js~Filter_Base.html">Filter_Base</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-catalouge-page-headers">js/catalouge/Page_Headers</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Page_Headers/Page_Headers.js~Page_Headers.html">Page_Headers</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-toolkit">js/toolkit</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/baseToolkit.js~toolkit.html">toolkit</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/combinedStorageToolkitExtention.js~baseStorageToolkitExtention.html">baseStorageToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/combinedStorageToolkitExtention.js~permanentStorageToolkitExtention.html">permanentStorageToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/combinedStorageToolkitExtention.js~sessionStorageToolkitExtention.html">sessionStorageToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/contentToolkitExtention.js~contentToolkitExtention.html">contentToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/endlessScrollToolkitExtention.js~endlessScrollToolkitExtention.html">endlessScrollToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/eventToolkitExtention.js~eventToolkitExtention.html">eventToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/formToolkitExtention.js~formToolkitExtention.html">formToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/httpConnectionsToolkitExtention.js~httpConnectionsToolkitExtention.html">httpConnectionsToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/styleToolkitExtention.js~styleToolkitExtention.html">styleToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/urlToolkitExtention.js~urlToolkitExtention.html">urlToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-function">F</span><span data-ice="name"><span><a href="function/index.html#static-function-aggregator">aggregator</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-NOTHING">NOTHING</a></span></span></li>
</ul>
</div>
</nav>

<div class="content" data-ice="content"><div class="header-notice">
  <div data-ice="importPath" class="import-path"><pre class="prettyprint"><code data-ice="importPathCode">import {permanentStorageToolkitExtention} from &apos;<span><a href="file/public/js/toolkit/combinedStorageToolkitExtention.js.html#lineNumber59">archive-system-front-end/public/js/toolkit/combinedStorageToolkitExtention.js</a></span>&apos;</code></pre></div>
  <span data-ice="access">public</span>
  <span data-ice="kind">class</span>
  
  
  
  <span data-ice="source">| <span><a href="file/public/js/toolkit/combinedStorageToolkitExtention.js.html#lineNumber59">source</a></span></span>
</div>

<div class="self-detail detail">
  <h1 data-ice="name">permanentStorageToolkitExtention</h1>

  

  
  
  <div class="flat-list" data-ice="extendsChain"><h4>Extends:</h4><div><span><a href="class/public/js/toolkit/baseToolkit.js~toolkit.html">toolkit</a></span> &#x2192; <span><a href="class/public/js/toolkit/combinedStorageToolkitExtention.js~baseStorageToolkitExtention.html">baseStorageToolkitExtention</a></span> &#x2192; permanentStorageToolkitExtention</div></div>
  
  
  
  
  
  

  
  
  <div class="description" data-ice="description"><p>Extention for saveing data across sessons.</p>
</div>
  

  

  

  

  
</div>





<div data-ice="methodSummary"><h2>Method Summary</h2><table class="summary" data-ice="summary">
  <thead><tr><td data-ice="title" colspan="3">Public Methods</td></tr></thead>
  <tbody>
  
  <tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/combinedStorageToolkitExtention.js~permanentStorageToolkitExtention.html#instance-method-dropDatPerm">dropDatPerm</a></span></span><span class="code" data-ice="signature">(prop: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span>)</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Deletes data from the permanant storage</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/combinedStorageToolkitExtention.js~permanentStorageToolkitExtention.html#instance-method-loadDatPerm">loadDatPerm</a></span></span><span class="code" data-ice="signature">(prop: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span>): <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Retrevies data from the permanant storage</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/combinedStorageToolkitExtention.js~permanentStorageToolkitExtention.html#instance-method-saveDatPerm">saveDatPerm</a></span></span><span class="code" data-ice="signature">(prop: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span>, value: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span>)</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Saves data to the permanant storage</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
</tbody>
</table>
</div>

<div class="inherited-summary" data-ice="inheritedSummary"><h2>Inherited Summary</h2><table class="summary" data-ice="summary">
  <thead><tr><td data-ice="title" colspan="3"><span class="toggle closed"></span> From class <span><a href="class/public/js/toolkit/baseToolkit.js~toolkit.html">toolkit</a></span></td></tr></thead>
  <tbody>
  
  <tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/baseToolkit.js~toolkit.html#instance-member-ERRORS">ERRORS</a></span></span><span class="code" data-ice="signature">: <span>ENUM</span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Error constants</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/baseToolkit.js~toolkit.html#instance-member-baseElement">baseElement</a></span></span><span class="code" data-ice="signature">: <span>Element</span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>If a error should be thrown when there are no elements to itterate through and elements are required for the operation.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/baseToolkit.js~toolkit.html#instance-member-errorOnEmpty">errorOnEmpty</a></span></span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Boolean">boolean</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>If a error should be thrown when there are no elements to itterate through and elements are required for the operation.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">protected</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/baseToolkit.js~toolkit.html#instance-member-ele">ele</a></span></span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Boolean">boolean</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>If there are elements currently selected.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">protected</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/baseToolkit.js~toolkit.html#instance-member-elements">elements</a></span></span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array">Array</a></span>&lt;<span>Element</span>&gt;</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>The elements currently selected.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">private</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/baseToolkit.js~toolkit.html#instance-member-extentions">extentions</a></span></span><span class="code" data-ice="signature">: <span><span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span><span>[]</span></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Extentions in the current toolkit (and the order they were loaded).</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/baseToolkit.js~toolkit.html#instance-method-doEach">doEach</a></span></span><span class="code" data-ice="signature">(f: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Function">function</a></span>)</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Does a function on each element.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/baseToolkit.js~toolkit.html#instance-method-getElements">getElements</a></span></span><span class="code" data-ice="signature">(): <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array">Array</a></span>&lt;<span>Elements</span>&gt;</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Returns this object&apos;s elements.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/baseToolkit.js~toolkit.html#instance-method-getExtentions">getExtentions</a></span></span><span class="code" data-ice="signature">(): <span><span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span><span>[]</span></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Get&apos;s all current extentions.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/baseToolkit.js~toolkit.html#instance-method-hasElement">hasElement</a></span></span><span class="code" data-ice="signature">()</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Checks to see if there are elements in the system.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/baseToolkit.js~toolkit.html#instance-method-importElementsFromToolkit">importElementsFromToolkit</a></span></span><span class="code" data-ice="signature">(otherToolkit: <span><a href="class/public/js/toolkit/baseToolkit.js~toolkit.html">toolkit</a></span>)</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Imports elements from another toolkit.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/baseToolkit.js~toolkit.html#instance-method-parrents">parrents</a></span></span><span class="code" data-ice="signature">()</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Switches all elements to the parrents of the old list.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/baseToolkit.js~toolkit.html#instance-method-searchBase">searchBase</a></span></span><span class="code" data-ice="signature">(cssSearch: <span>DOMString</span>)</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Searches from the base Element for the CSS selector or Removes all selected elements.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/baseToolkit.js~toolkit.html#instance-method-searchChildren">searchChildren</a></span></span><span class="code" data-ice="signature">(cssSearch: <span>DOMString</span>)</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Searches current element list for new elements useing a CSS selector or Removes all CSS selectors.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">protected</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/baseToolkit.js~toolkit.html#instance-method-addExtention">addExtention</a></span></span><span class="code" data-ice="signature">(newExtention: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span>)</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Adds extention to the extentions member.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">protected</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/baseToolkit.js~toolkit.html#instance-method-requireExtention">requireExtention</a></span></span><span class="code" data-ice="signature">(requiredExtention: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span>)</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Ensures a extention has already been loaded.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">protected</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/baseToolkit.js~toolkit.html#instance-method-updateEle">updateEle</a></span></span><span class="code" data-ice="signature">()</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Updates the ele member.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
</tbody>
</table>

<table class="summary" data-ice="summary">
  <thead><tr><td data-ice="title" colspan="3"><span class="toggle closed"></span> From class <span><a href="class/public/js/toolkit/combinedStorageToolkitExtention.js~baseStorageToolkitExtention.html">baseStorageToolkitExtention</a></span></td></tr></thead>
  <tbody>
  
  <tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      <span class="kind" data-ice="kind">get</span>
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/combinedStorageToolkitExtention.js~baseStorageToolkitExtention.html#instance-get-namespace">namespace</a></span></span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span>: <span>*</span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Get&apos;s current namespace.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      <span class="kind" data-ice="kind">set</span>
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/combinedStorageToolkitExtention.js~baseStorageToolkitExtention.html#instance-set-namespace">namespace</a></span></span><span class="code" data-ice="signature">(NameSpace: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span>)</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Set&apos;s namespace.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/combinedStorageToolkitExtention.js~baseStorageToolkitExtention.html#instance-member-has_sotrage">has_sotrage</a></span></span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Boolean">boolean</a></span></span>
        </p>
      </div>
      <div>
        
        
        
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/combinedStorageToolkitExtention.js~baseStorageToolkitExtention.html#instance-member-has_storage">has_storage</a></span></span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Boolean">boolean</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>If the browser supports sotrage.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">private</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/combinedStorageToolkitExtention.js~baseStorageToolkitExtention.html#instance-member-__namespace">__namespace</a></span></span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>The namespace that the data should be saved in.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/combinedStorageToolkitExtention.js~baseStorageToolkitExtention.html#instance-method-baseStorageToolkitExtentionInitializer">baseStorageToolkitExtentionInitializer</a></span></span><span class="code" data-ice="signature">()</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Sets up the members for this extention.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
</tbody>
</table>
</div>





<div data-ice="methodDetails"><h2 data-ice="title">Public Methods</h2>

<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-method-dropDatPerm">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">dropDatPerm</span><span class="code" data-ice="signature">(prop: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span>)</span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/toolkit/combinedStorageToolkitExtention.js.html#lineNumber98">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>Deletes data from the permanant storage</p>
</div>

  

  <div data-ice="properties"><div data-ice="properties">
  <h4 data-ice="title">Params:</h4>
  <table class="params">
    <thead>
    <tr><td>Name</td><td>Type</td><td>Attribute</td><td>Description</td></tr>
    </thead>
    <tbody>
    
    <tr data-ice="property" data-depth="0">
      <td data-ice="name" class="code" data-depth="0">prop</td>
      <td data-ice="type" class="code"><span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span></td>
      <td data-ice="appendix"></td>
      <td data-ice="description"><p>property to set.</p>
</td>
    </tr>
</tbody>
  </table>
</div>
</div>

  

  

  

  

  

  

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-method-loadDatPerm">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">loadDatPerm</span><span class="code" data-ice="signature">(prop: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span>): <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span></span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/toolkit/combinedStorageToolkitExtention.js.html#lineNumber89">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>Retrevies data from the permanant storage</p>
</div>

  

  <div data-ice="properties"><div data-ice="properties">
  <h4 data-ice="title">Params:</h4>
  <table class="params">
    <thead>
    <tr><td>Name</td><td>Type</td><td>Attribute</td><td>Description</td></tr>
    </thead>
    <tbody>
    
    <tr data-ice="property" data-depth="0">
      <td data-ice="name" class="code" data-depth="0">prop</td>
      <td data-ice="type" class="code"><span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span></td>
      <td data-ice="appendix"></td>
      <td data-ice="description"><p>property to get.</p>
</td>
    </tr>
</tbody>
  </table>
</div>
</div>

  <div class="return-params" data-ice="returnParams">
    <h4>Return:</h4>
    <table>
      <tbody>
        <tr>
          <td class="return-type code" data-ice="returnType"><span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span></td>
          <td class="return-desc" data-ice="returnDescription"><p>value the property is currently set to.</p>
</td>
        </tr>
      </tbody>
    </table>
    <div data-ice="returnProperties">
</div>
  </div>

  

  

  

  

  

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-method-saveDatPerm">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">saveDatPerm</span><span class="code" data-ice="signature">(prop: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span>, value: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span>)</span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/toolkit/combinedStorageToolkitExtention.js.html#lineNumber79">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>Saves data to the permanant storage</p>
</div>

  

  <div data-ice="properties"><div data-ice="properties">
  <h4 data-ice="title">Params:</h4>
  <table class="params">
    <thead>
    <tr><td>Name</td><td>Type</td><td>Attribute</td><td>Description</td></tr>
    </thead>
    <tbody>
    
    <tr data-ice="property" data-depth="0">
      <td data-ice="name" class="code" data-depth="0">prop</td>
      <td data-ice="type" class="code"><span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span></td>
      <td data-ice="appendix"></td>
      <td data-ice="description"><p>property to set.</p>
</td>
    </tr>
<tr data-ice="property" data-depth="0">
      <td data-ice="name" class="code" data-depth="0">value</td>
      <td data-ice="type" class="code"><span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span></td>
      <td data-ice="appendix"></td>
      <td data-ice="description"><p>value to set the property to.</p>
</td>
    </tr>
</tbody>
  </table>
</div>
</div>

  

  

  

  

  

  

  

  
  
</div>
</div>
</div>

<footer class="footer">
  Generated by <a href="https://esdoc.org">ESDoc<span data-ice="esdocVersion">(1.1.0)</span><img src="./image/esdoc-logo-mini-black.png"></a>
</footer>

<script src="script/search_index.js"></script>
<script src="script/search.js"></script>
<script src="script/pretty-print.js"></script>
<script src="script/inherited-summary.js"></script>
<script src="script/test-summary.js"></script>
<script src="script/inner-link.js"></script>
<script src="script/patch-for-local.js"></script>
</body>
</html>
